entity mux21 is
	generic
		(
			n : integer := 16
		);
	port
		(
			I1, I0	: in bit_vector(n-1 downto 0);
			S			: in bit;
			Z			: out bit_vector(n-1 downto 0)
		);
end mux21;

architecture rtl of mux21 is

begin
	with S select
		Z <=	I0 when '0',
				I1 when '1';
end rtl;

			