entity mux31 is
	generic
		(
			n : integer := 16
		);
	port
		(
			I2, I1, I0	: in bit_vector(n-1 downto 0);
			S				: in bit_vector(1 downto 0);
			Z				: out bit_vector(n-1 downto 0)
		);
end mux31;

architecture rtl of mux31 is
	constant Nullo: bit_vector(n-1 downto 0) := (others => '0');
begin
	with S select
		Z <=	I0 when "00",
				I1 when "01",
				I2 when "10",
				Nullo when "11";
end rtl;

			